package com.ssj.service.conch.schoolmaster.dto;

import com.ssj.framework.core.util.StringUtil;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

public class TeacherTaskDto implements Serializable {
    private static final long serialVersionUID = 1L;

    private String taskId;    //作业id

    private int taskType;     //类型： 1作业批改 2错题回顾 3作业反馈

    private int taskStatus;    //任务状态  0未完成  1已完成

    private String createTime;  // 发布时间

    private String studentName;  //学生姓名

    private String teacherName;  //老师姓名

    private String maxWaitTime;  //最大等待时间（分钟）

    private List<String> imgList;

    public TeacherTaskDto (){
        imgList = new ArrayList<String>();
    }

    public String getTaskId() {
        return taskId;
    }

    public void setTaskId(String taskId) {
        this.taskId = taskId;
    }

    public int getTaskType() {
        return taskType;
    }

    public void setTaskType(int taskType) {
        this.taskType = taskType;
    }

    public int getTaskStatus() {
        return taskStatus;
    }

    public void setTaskStatus(int taskStatus) {
        this.taskStatus = taskStatus;
    }

    public String getStudentName() {
        return studentName;
    }

    public void setStudentName(String studentName) {
        this.studentName = studentName;
    }

    public String getTeacherName() {
        return teacherName;
    }

    public void setTeacherName(String teacherName) {
        this.teacherName = teacherName;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public String getMaxWaitTime() {
        return maxWaitTime;
    }

    public void setMaxWaitTime(String maxWaitTime) {
        this.maxWaitTime = maxWaitTime;
    }

    public List<String> getImgList() {
        return imgList;
    }

    public void addImg(String fileKey) {
        this.imgList.add(fileKey);
    }

    public void addImgs(List<String> fileKeys) {
        this.imgList.addAll(fileKeys);
    }

    public boolean equals(TeacherTaskDto bean){
        if (StringUtil.isNotEmpty(this.taskId) && this.taskId.equals(bean.taskId)){
            return true;
        } else {
            return false;
        }
    }
}
